
Ruby - Bug #12078

Segmentation fault in did_you_mean with ruby revision 53608 

02/16/2016 11:40 AM - reggiebatsky (Rob Nichols)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONTNEED, 2.3: DONTNEED

Description

A segmentation bug occurred when running rspec tests on an app. This first appeared using ruby 2.3.0p0 revision 53290, and

appeared similar to bugs reported in issues https://bugs.ruby-lang.org/issues/12000 and https://bugs.ruby-lang.org/issues/11928.

11928 implies that the bug should have been fixed at revision 53524, so I have updated ruby to 2.3.0p7 revision 53608 and am still

getting segmentation faults.

The error output starts with:

/Users/foo/.rvm/gems/ruby-2.3-head@global/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkers/

name_error_checkers/variable_name_checker.rb:10: [BUG] Segmentation fault at 0x00000000000011

ruby 2.3.0p7 (2016-01-21 revision 53608) [x86_64-darwin14]

 and ends:

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

/Users/foo/.rvm/rubies/ruby-2.3-head/bin/ruby -I/Users/foo/.rvm/gems/ruby-2.3-head/gems/rspec-core

-3.4.2/lib:/Users/foo/.rvm/gems/ruby-2.3-head/gems/rspec-support-3.4.1/lib /Users/foo/.rvm/gems/ru

by-2.3-head/gems/rspec-core-3.4.2/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb failed

rake aborted!

TypeError: no implicit conversion from nil to integer

/Users/foo/.rvm/gems/ruby-2.3-head/gems/rspec-core-3.4.2/lib/rspec/core/rake_task.rb:84:in `exit'

/Users/foo/.rvm/gems/ruby-2.3-head/gems/rspec-core-3.4.2/lib/rspec/core/rake_task.rb:84:in `run_ta

sk'

/Users/foo/.rvm/gems/ruby-2.3-head/gems/rspec-core-3.4.2/lib/rspec/core/rake_task.rb:96:in `block 

(2 levels) in define'

/Users/foo/.rvm/gems/ruby-2.3-head/gems/rspec-core-3.4.2/lib/rspec/core/rake_task.rb:94:in `block 

in define'

/Users/foo/.rvm/gems/ruby-2.3-head/bin/ruby_executable_hooks:15:in `eval'

/Users/foo/.rvm/gems/ruby-2.3-head/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => spec

Related issues:

Is duplicate of Ruby - Bug #11928: Segmentation fault in did_you_mean extension Closed

History

#1 - 02/24/2016 02:59 PM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #11928: Segmentation fault in did_you_mean extension added

#2 - 02/24/2016 03:00 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2:

DONTNEED, 2.3: REQUIRED

#3 - 02/28/2016 01:09 PM - sawa (Tsuyoshi Sawada)

I also got a similar bug with Ruby 2.3.0p7 revision 53608. As the poster writes, this version is later than revision 53524, in which a similar (alleged

duplicate) bug has been supposed to be fixed. But the bug retains, and the present issue is closed. Am I missing something? Is there a version
available that does not have such bug?

#4 - 02/29/2016 04:09 AM - nobu (Nobuyoshi Nakada)

r53524 is the revision in the trunk, not 2.3.

And #11928's backport status to 2.3 is still REQUIRED.

#5 - 03/29/2016 03:33 PM - naruse (Yui NARUSE)

- Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2:

DONTNEED, 2.3: DONTNEED

Files

ruby_2016-02-16-093730_LEEML0195905.crash 23.9 KB 02/16/2016 reggiebatsky (Rob Nichols)

ruby_2016-02-16-100949_LEEML0195905.crash 24.1 KB 02/16/2016 reggiebatsky (Rob Nichols)
